# HG changeset patch
# Node ID d2775c3c5a73
# Parent  abadfc227738
diff --git a/libpurple/meson.build b/libpurple/meson.build
--- a/libpurple/meson.build
+++ b/libpurple/meson.build
@@ -363,27 +363,18 @@
 meson.override_dependency(purple_filebase, libpurple_dep)
 
 PURPLE3_URL_HANDLER_DESKTOP = 'purple3-url-handler.desktop'
-if get_option('nls')
-	i18n = import('i18n')
-	desktop_file_in = configure_file(
-	    input : 'data' / (PURPLE3_URL_HANDLER_DESKTOP + '.in.in'),
-	    output : PURPLE3_URL_HANDLER_DESKTOP + '.in',
-	    configuration : conf)
-	i18n.merge_file(
-	    input : desktop_file_in,
-	    output : PURPLE3_URL_HANDLER_DESKTOP,
-	    po_dir : meson.project_source_root() / 'po',
-	    type : 'desktop',
-	    install : true,
-	    install_dir : get_option('datadir') / 'applications')
-else
-	configure_file(
-	    input : 'data' / (PURPLE3_URL_HANDLER_DESKTOP + '.in.in'),
-	    output : PURPLE3_URL_HANDLER_DESKTOP,
-	    configuration : conf,
-	    install : true,
-	    install_dir : get_option('datadir') / 'applications')
-endif
+i18n = import('i18n')
+desktop_file_in = configure_file(
+    input : 'data' / (PURPLE3_URL_HANDLER_DESKTOP + '.in.in'),
+    output : PURPLE3_URL_HANDLER_DESKTOP + '.in',
+    configuration : conf)
+i18n.merge_file(
+    input : desktop_file_in,
+    output : PURPLE3_URL_HANDLER_DESKTOP,
+    po_dir : meson.project_source_root() / 'po',
+    type : 'desktop',
+    install : true,
+    install_dir : get_option('datadir') / 'applications')
 
 subdir('tests')
 subdir('example')
diff --git a/meson.build b/meson.build
--- a/meson.build
+++ b/meson.build
@@ -38,9 +38,8 @@
 purple_micro_version = parts[2]
 
 GETTEXT_PACKAGE=meson.project_name()
-if get_option('nls')
-	find_program('gettext')
-endif
+find_program('gettext')
+find_program('xgettext')
 
 add_project_arguments([
 	'-DHAVE_CONFIG_H=1',
@@ -95,11 +94,6 @@
 # Check for Sun compiler
 SUNCC = compiler.compiles('void main() {__SUNPRO_C;};')
 
-# Make sure we have xgettext
-if get_option('nls')
-	find_program('xgettext')
-endif
-
 # Check for Win32
 if host_machine.system() == 'windows'
 	windows = import('windows')
@@ -657,11 +651,6 @@
 #AC_VAR_TIMEZONE_EXTERNALS
 
 #######################################################################
-# Disable pixmap installation
-#######################################################################
-INSTALL_PIXMAPS = get_option('pixmaps-install')
-
-#######################################################################
 # Documentation
 #######################################################################
 
@@ -740,8 +729,6 @@
     'Enable Introspection': enable_introspection,
     'Generate documentation': get_option('doc'),
     'Has you': true,
-    'Install pixmaps': INSTALL_PIXMAPS,
-    'Install translations': get_option('nls'),
     'Print debugging messages': enable_debug,
 }, section: 'Miscellaneous', bool_yn: true)
 
@@ -749,17 +736,3 @@
     summary('You have an old copy of pidgin3 at', pidgin3path.full_path(),
             section: 'Warnings')
 endif
-if not INSTALL_PIXMAPS
-    summary('Pixmaps disabled',
-            'You have disabled the installation of pixmap data, ' +
-            'but Pidgin still requires installed pixmaps. ' +
-            'Be sure you know what you are doing.',
-            section: 'Warnings')
-endif
-if not get_option('nls')
-    summary('Translations disabled',
-            'You have disabled the building and installation of translation data. ' +
-            'This will prevent building Pidgin desktop files. ' +
-            'Be sure you know what you are doing.',
-            section: 'Warnings')
-endif
diff --git a/meson_options.txt b/meson_options.txt
--- a/meson_options.txt
+++ b/meson_options.txt
@@ -13,15 +13,6 @@
 option('introspection', type : 'boolean', value : true,
        description : 'build introspection data')
 
-option('nettle', type : 'feature',
-       description : 'enable Nettle support')
-
-option('nls', type : 'boolean', value : true,
-       description : 'enable installation of translation files')
-
-option('pixmaps-install', type : 'boolean', value : true,
-       description : 'enable installation of pixmap files - Pidgin still needs them!')
-
 option('build-dependencies', type : 'boolean', value : false,
        description : 'enable the use of subprojects to build missing dependencies.')
 
diff --git a/pidgin/data/meson.build b/pidgin/data/meson.build
--- a/pidgin/data/meson.build
+++ b/pidgin/data/meson.build
@@ -1,5 +1,3 @@
-if INSTALL_PIXMAPS
-	subdir('icons')
-endif
+subdir('icons')
 
 devenv.prepend('XDG_DATA_DIRS', meson.current_source_dir())
diff --git a/pidgin/meson.build b/pidgin/meson.build
--- a/pidgin/meson.build
+++ b/pidgin/meson.build
@@ -289,41 +289,25 @@
 	    variables : ['plugindir=${libdir}/pidgin-@0@'.format(purple_major_version)])
 
 	PIDGIN_DESKTOP_FILE = 'im.pidgin.Pidgin3.desktop'
-	if get_option('nls')
-		i18n = import('i18n')
-		desktop_file_in = configure_file(
-		    input : 'data' / (PIDGIN_DESKTOP_FILE + '.in.in'),
-		    output : PIDGIN_DESKTOP_FILE + '.in',
-		    configuration : conf)
-		desktop_file = i18n.merge_file(
-		    input : desktop_file_in,
-		    output : PIDGIN_DESKTOP_FILE,
-		    po_dir : meson.project_source_root() / 'po',
-		    type : 'desktop',
-		    install : true,
-		    install_dir : get_option('datadir') / 'applications')
+	i18n = import('i18n')
+	desktop_file_in = configure_file(
+	    input : 'data' / (PIDGIN_DESKTOP_FILE + '.in.in'),
+	    output : PIDGIN_DESKTOP_FILE + '.in',
+	    configuration : conf)
+	desktop_file = i18n.merge_file(
+	    input : desktop_file_in,
+	    output : PIDGIN_DESKTOP_FILE,
+	    po_dir : meson.project_source_root() / 'po',
+	    type : 'desktop',
+	    install : true,
+	    install_dir : get_option('datadir') / 'applications')
 
-		appdata = i18n.merge_file(
-		    input : 'data/im.pidgin.Pidgin3.appdata.xml.in',
-		    output : 'im.pidgin.Pidgin3.appdata.xml',
-		    po_dir : meson.project_source_root() / 'po',
-		    install : true,
-		    install_dir : get_option('datadir') / 'metainfo')
-	else
-		configure_file(
-		    input : 'data' / (PIDGIN_DESKTOP_FILE + '.in.in'),
-		    output : PIDGIN_DESKTOP_FILE,
-		    configuration : conf,
-		    install : true,
-		    install_dir : get_option('datadir') / 'applications')
-
-		configure_file(
-		    input : 'data/im.pidgin.Pidgin3.appdata.xml.in',
-		    output : 'im.pidgin.Pidgin3.appdata.xml',
-		    configuration : configuration_data(),
-		    install : true,
-		    install_dir : get_option('datadir') / 'metainfo')
-	endif  # INSTALL_I18N
+	appdata = i18n.merge_file(
+	    input : 'data/im.pidgin.Pidgin3.appdata.xml.in',
+	    output : 'im.pidgin.Pidgin3.appdata.xml',
+	    po_dir : meson.project_source_root() / 'po',
+	    install : true,
+	    install_dir : get_option('datadir') / 'metainfo')
 
 	if enable_introspection
 		introspection_sources = libpidgin_SOURCES + libpidgin_headers + libpidgin_prefs_headers
diff --git a/pidgin/pixmaps/emotes/default/24/meson.build b/pidgin/pixmaps/emotes/default/24/meson.build
--- a/pidgin/pixmaps/emotes/default/24/meson.build
+++ b/pidgin/pixmaps/emotes/default/24/meson.build
@@ -185,15 +185,14 @@
     'yin-yang.png'
 ]
 
-if INSTALL_PIXMAPS
-	pidginsmileypixdir = pidginpixmapdir / 'emotes/default'
+pidginsmileypixdir = pidginpixmapdir / 'emotes/default'
 
-	custom_target('default-theme',
-	    input : 'default.theme.in',
-	    output : 'theme',
-	    command : [smiley_theme_generator, '@INPUT@', '@OUTPUT@'],
-	    install : true,
-	    install_dir : pidginsmileypixdir)
+custom_target('default-theme',
+    input : 'default.theme.in',
+    output : 'theme',
+    command : [smiley_theme_generator, '@INPUT@', '@OUTPUT@'],
+    install : true,
+    install_dir : pidginsmileypixdir)
 
-	install_data(SMILEYS, install_dir : pidginsmileypixdir)
-endif
+install_data(SMILEYS, install_dir : pidginsmileypixdir)
+
diff --git a/pidgin/pixmaps/emotes/small/16/meson.build b/pidgin/pixmaps/emotes/small/16/meson.build
--- a/pidgin/pixmaps/emotes/small/16/meson.build
+++ b/pidgin/pixmaps/emotes/small/16/meson.build
@@ -85,15 +85,13 @@
     'wink.png'
 ]
 
-if INSTALL_PIXMAPS
-	pidginsmileypixdir = pidginpixmapdir / 'emotes/small'
+pidginsmileypixdir = pidginpixmapdir / 'emotes/small'
 
-	custom_target('small-theme',
-	    input : 'small.theme.in',
-	    output : 'theme',
-	    command : [smiley_theme_generator, '@INPUT@', '@OUTPUT@'],
-	    install : true,
-	    install_dir : pidginsmileypixdir)
+custom_target('small-theme',
+    input : 'small.theme.in',
+    output : 'theme',
+    command : [smiley_theme_generator, '@INPUT@', '@OUTPUT@'],
+    install : true,
+    install_dir : pidginsmileypixdir)
 
-	install_data(MOODS + SMILEYS, install_dir : pidginsmileypixdir)
-endif
+install_data(MOODS + SMILEYS, install_dir : pidginsmileypixdir)
diff --git a/po/meson.build b/po/meson.build
--- a/po/meson.build
+++ b/po/meson.build
@@ -3,4 +3,4 @@
 # use the glib preset which is defined at
 # https://github.com/mesonbuild/meson/blob/master/mesonbuild/modules/i18n.py#L93
 # at the time of this comment.
-i18n.gettext('pidgin', preset : 'glib', install : get_option('nls'))
+i18n.gettext('pidgin', preset : 'glib')
